Page MenuHomeFreeBSD

Update release information from the English version
ClosedPublic

Authored by ygy on Jul 10 2018, 8:26 PM.

Details

Summary

Update release information from the English version.

MFen: r50572 -> r51914
Reviewed_by: loader (mentor), delphij (mentor)
Approved_by: loader (mentor), delphij (mentor)
Differential_Revision: https://reviews.freebsd.org/D1XXXX

Test Plan

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ygy created this revision.Jul 10 2018, 8:26 PM
ygy edited the test plan for this revision. (Show Details)Jul 10 2018, 8:41 PM
ygy edited the test plan for this revision. (Show Details)
delphij accepted this revision.Jul 10 2018, 9:04 PM
This revision is now accepted and ready to land.Jul 10 2018, 9:04 PM
ygy added a comment.Jul 10 2018, 9:12 PM

@delphij @loader One question: Looking at the diff of built website before and after this change (https://github.com/yzgyyang/freebsd-doc-web-deploy/commit/dec5f088af404cbdd5dca78bbd21f4acedf56576#diff-effdc1d6d041099f8126e5625ae4f8f3R2), it seems that the last person that changed contents in releases/12.0R/ became me as well (A diff from releases/12.0R/: https://www.diffchecker.com/iWeGDYXR).

Is this expected?

loader accepted this revision.Jul 11 2018, 11:44 AM
In D16208#343830, @ygy wrote:

@delphij @loader One question: Looking at the diff of built website before and after this change (https://github.com/yzgyyang/freebsd-doc-web-deploy/commit/dec5f088af404cbdd5dca78bbd21f4acedf56576#diff-effdc1d6d041099f8126e5625ae4f8f3R2), it seems that the last person that changed contents in releases/12.0R/ became me as well (A diff from releases/12.0R/: https://www.diffchecker.com/iWeGDYXR).

Is this expected?

Yes.

<a id="idp59150920"> is defined in /usr/local/share/xsl/docbook-ns/xhtml/titlepage.xsl line 1031

1010  <xsl:template match="d:title" mode="titlepage.mode">
1011    <xsl:variable name="id">
1012      <xsl:choose>
1013        <!-- if title is in an *info wrapper, get the grandparent -->
1014        <xsl:when test="contains(local-name(..), 'info')">
1015          <xsl:call-template name="object.id">
1016            <xsl:with-param name="object" select="../.."/>
1017          </xsl:call-template>
1018        </xsl:when>
1019        <xsl:otherwise>
1020          <xsl:call-template name="object.id">
1021            <xsl:with-param name="object" select=".."/>
1022          </xsl:call-template>
1023        </xsl:otherwise>
1024      </xsl:choose>
1025    </xsl:variable>
1026
1027    <h1>
1028      <xsl:apply-templates select="." mode="common.html.attributes"/>
1029      <xsl:choose>
1030        <xsl:when test="$generate.id.attributes = 0">
1031          <a id="{$id}"/>
1032        </xsl:when>
1033        <xsl:otherwise>
1034        </xsl:otherwise>
1035      </xsl:choose>

the value of idp59150920 was generated by generate-id():
/usr/local/share/xsl/docbook-ns/common/common.xsl

457  <xsl:template name="object.id">
458    <xsl:param name="object" select="."/>
459    <xsl:choose>
460      <xsl:when test="$object/@id">
461        <xsl:value-of select="$object/@id"/>
462      </xsl:when>
463      <xsl:when test="$object/@xml:id">
464        <xsl:value-of select="$object/@xml:id"/>
465      </xsl:when>
466      <xsl:when test="$generate.consistent.ids != 0">
467        <!-- Make $object the current node -->
468        <xsl:for-each select="$object">
469          <xsl:text>id-</xsl:text>
470          <xsl:number level="multiple" count="*"/>
471        </xsl:for-each>
472      </xsl:when>
473      <xsl:otherwise>
474        <xsl:value-of select="generate-id($object)"/>
475      </xsl:otherwise>
476    </xsl:choose>
477  </xsl:template>

Last modified on 2018-07-10 16:41:45 -0400 by Guangyuan Yang.
The parameters passed to xsltproc was generated by the last commit from Git,
It seems the ${SRCS} was empty ...
https://svnweb.freebsd.org/doc/head/share/mk/doc.docbook.mk?revision=51528&view=markup#l95

95      # If using git, use git log.  The revision won't work with the generated links,
96      # because it is a hash, and git log doesn't know about git svn find-rev.
97      .if exists(${DOC_PREFIX}/.git) && exists(${GIT})
98      LATESTREVISION!=cd ${.CURDIR} && ${GIT} log -1 --pretty=format:'\
99              --stringparam latestrevision.timestamp "%ci" \
100             --stringparam latestrevision.committer "%cn" \
101             --stringparam latestrevision.number "%h"' ${SRCS}
ygy added a comment.Jul 11 2018, 6:22 PM
In D16208#343830, @ygy wrote:

@delphij @loader One question: Looking at the diff of built website before and after this change (https://github.com/yzgyyang/freebsd-doc-web-deploy/commit/dec5f088af404cbdd5dca78bbd21f4acedf56576#diff-effdc1d6d041099f8126e5625ae4f8f3R2), it seems that the last person that changed contents in releases/12.0R/ became me as well (A diff from releases/12.0R/: https://www.diffchecker.com/iWeGDYXR).

Is this expected?

Yes.

<a id="idp59150920"> is defined in /usr/local/share/xsl/docbook-ns/xhtml/titlepage.xsl line 1031

1010  <xsl:template match="d:title" mode="titlepage.mode">
1011    <xsl:variable name="id">
1012      <xsl:choose>
1013        <!-- if title is in an *info wrapper, get the grandparent -->
1014        <xsl:when test="contains(local-name(..), 'info')">
1015          <xsl:call-template name="object.id">
1016            <xsl:with-param name="object" select="../.."/>
1017          </xsl:call-template>
1018        </xsl:when>
1019        <xsl:otherwise>
1020          <xsl:call-template name="object.id">
1021            <xsl:with-param name="object" select=".."/>
1022          </xsl:call-template>
1023        </xsl:otherwise>
1024      </xsl:choose>
1025    </xsl:variable>
1026
1027    <h1>
1028      <xsl:apply-templates select="." mode="common.html.attributes"/>
1029      <xsl:choose>
1030        <xsl:when test="$generate.id.attributes = 0">
1031          <a id="{$id}"/>
1032        </xsl:when>
1033        <xsl:otherwise>
1034        </xsl:otherwise>
1035      </xsl:choose>

the value of idp59150920 was generated by generate-id():
/usr/local/share/xsl/docbook-ns/common/common.xsl

457  <xsl:template name="object.id">
458    <xsl:param name="object" select="."/>
459    <xsl:choose>
460      <xsl:when test="$object/@id">
461        <xsl:value-of select="$object/@id"/>
462      </xsl:when>
463      <xsl:when test="$object/@xml:id">
464        <xsl:value-of select="$object/@xml:id"/>
465      </xsl:when>
466      <xsl:when test="$generate.consistent.ids != 0">
467        <!-- Make $object the current node -->
468        <xsl:for-each select="$object">
469          <xsl:text>id-</xsl:text>
470          <xsl:number level="multiple" count="*"/>
471        </xsl:for-each>
472      </xsl:when>
473      <xsl:otherwise>
474        <xsl:value-of select="generate-id($object)"/>
475      </xsl:otherwise>
476    </xsl:choose>
477  </xsl:template>

Last modified on 2018-07-10 16:41:45 -0400 by Guangyuan Yang.
The parameters passed to xsltproc was generated by the last commit from Git,
It seems the ${SRCS} was empty ...
https://svnweb.freebsd.org/doc/head/share/mk/doc.docbook.mk?revision=51528&view=markup#l95

95      # If using git, use git log.  The revision won't work with the generated links,
96      # because it is a hash, and git log doesn't know about git svn find-rev.
97      .if exists(${DOC_PREFIX}/.git) && exists(${GIT})
98      LATESTREVISION!=cd ${.CURDIR} && ${GIT} log -1 --pretty=format:'\
99              --stringparam latestrevision.timestamp "%ci" \
100             --stringparam latestrevision.committer "%cn" \
101             --stringparam latestrevision.number "%h"' ${SRCS}

Thank you. Today I learned something! :)

This revision was automatically updated to reflect the committed changes.

No problem. :-)